Cyan Web API - Version 1


POST api/deviceGroupApplicationVersions

            Creates a device group application version.
            

Request Information

Parameters

NameDescriptionAdditional information
deviceGroupApplicationVersion

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "deviceGroupId": "37e9c751-f0db-45e0-89bf-fb209070ecd2",
  "applicationVersionId": "878f0e50-31d3-425c-ba04-afca18ead8e6",
  "createdDateUtc": "2026-05-11T10:10:41.3081783+00:00",
  "updatedDateUtc": "2026-05-11T10:10:41.3081783+00:00"
}

application/xml, text/xml

Sample:
<DeviceGroupApplicationVersionRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-05-11T10:10:41.3081783+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-05-11T10:10:41.3081783+00:00</UpdatedDateUtc>
  <ApplicationVersionId>878f0e50-31d3-425c-ba04-afca18ead8e6</ApplicationVersionId>
  <DeviceGroupId>37e9c751-f0db-45e0-89bf-fb209070ecd2</DeviceGroupId>
</DeviceGroupApplicationVersionRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.